#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#ifdef MAC
#include <console.h>
#endif
#include "clustalw.h"

/*
*	Prototypes
*/

#ifdef MAC
extern int ccommand(char ***);
#endif

extern void *ckalloc(size_t);
extern void init_amenu(void);
extern void init_interface(void);
extern void init_matrix(void);
extern void parse_params(Boolean);
extern void main_menu(void);

/*
*	Global variables
*/
double **tmat;

char revision_level[] = "G (1.4)";  
Boolean interactive=FALSE;

#ifdef MSDOS
        char *help_file_name = "clustalg.hlp";
#else
        char *help_file_name = "clustalg_help";
#endif

sint max_names; /* maximum length of names in current alignment file */

FILE *fin,*tree;
FILE *clustal_outfile, *gcg_outfile, *nbrf_outfile, *phylip_outfile,
     *gde_outfile;
sint  *seqlen_array;
sint max_aln_length;
short *usermat=NULL, *pw_usermat=NULL;
sint nseqs;
sint nsets;
sint *output_index;
sint **sets;
sint *seq_weight;
sint max_aa;
sint gap_pos1;
sint gap_pos2;
sint GAPCOL;
sint LENCOL;
sint mat_avscore;
sint profile_no;


Boolean usemenu;
Boolean distance_tree;

ECHAR  **seq_array;
char **names,**titles;
char **args;
char seqname[FILENAMELEN+1];

char *gap_penalty_mask1 = NULL, *gap_penalty_mask2 = NULL;
char *sec_struct_mask1 = NULL, *sec_struct_mask2 = NULL;
sint struct_penalties;
char *ss_name1 = NULL, *ss_name2 = NULL;


int main(int argc,char **argv)
{
	sint i;
	
#ifdef MAC
	argc=ccommand(&argv);
#endif

    init_amenu();
    init_interface();
	
	if(argc>1) {
		args = (char **)ckalloc(argc * sizeof(char *));
	
		for(i=1;i<argc;++i) 
		{
			args[i-1]=(char *)ckalloc((strlen(argv[i])+1) * sizeof(char));
			strcpy(args[i-1],argv[i]);
		}
		usemenu=FALSE;
		parse_params(FALSE);

		for(i=0;i<argc-1;i++) 
			ckfree(args[i]);
		ckfree(args);
	}
	usemenu=TRUE;
	interactive=TRUE;

	main_menu();
	
	return 0;
}

